Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.bcpg
Interface HashAlgorithmTags

All Known Implementing Classes:
  PGPUtil

    public interface HashAlgorithmTags

basic tags for hash algorithms

Field Summary
`static int` `DOUBLE_SHA`
`static int` `HAVAL_5_160`
`static int` `MD2`
`static int` `MD5`
`static int` `RIPEMD160`
`static int` `SHA1`
`static int` `SHA224`
`static int` `SHA256`
`static int` `SHA384`
`static int` `SHA512`
`static int` `TIGER_192`

Field Detail

### MD5

    static final int MD5

See Also:
  Constant Field Values

### SHA1

    static final int SHA1

See Also:
  Constant Field Values

### RIPEMD160

    static final int RIPEMD160

See Also:
  Constant Field Values

### DOUBLE_SHA

    static final int DOUBLE_SHA

See Also:
  Constant Field Values

### MD2

    static final int MD2

See Also:
  Constant Field Values

### TIGER_192

    static final int TIGER_192

See Also:
  Constant Field Values

### HAVAL_5_160

    static final int HAVAL_5_160

See Also:
  Constant Field Values

### SHA256

    static final int SHA256

See Also:
  Constant Field Values

### SHA384

    static final int SHA384

See Also:
  Constant Field Values

### SHA512

    static final int SHA512

See Also:
  Constant Field Values

### SHA224

    static final int SHA224

See Also:
  Constant Field Values

Bouncy Castle Cryptography Library 1.45